Subject: Re: bug#38109: Updated Emacs to HEAD, consistently not scaling now

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 08 Nov 2019 22:04:25 +0100

Eli Zaretskii <[email-masked]> writes:

>> Hm.  Odd.  When I try
>> 
>> (insert-image (create-image "/tmp/foo.png" nil nil :scale 10))
>> 
>> etc, I get the proper scaling with png and gif, but not with xpm.
>> (Running from HEAD with -Q.)
>
> Maybe there's some X-specific problem.  I see no problem on
> MS-Windows.

Did you try with the test images I posted?  The problem is that png
images with a colormap aren't scaled, but rgb (etc) ones are.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no